#include <IRremote.h>

int trig = 8;
int echo = 7;
int a = 2;
int irSensor = 3;
int buzzer = 4;
int e = 9;
int f = 10;
int g = 11;
int h = 12;
int i = 13;
int buttonState = 0;

IRrecv irrecv(irSensor);
decode_results results;


void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn();    
  pinMode(a, INPUT);
  pinMode(buzzer, OUTPUT);
  pinMode(e, OUTPUT);
  pinMode(f, OUTPUT);
  pinMode(g, OUTPUT);
  pinMode(h, OUTPUT);
  pinMode(i, OUTPUT);
  pinMode(trig, OUTPUT);
  pinMode(echo, INPUT);
}

void zero()
{
  digitalWrite(buzzer, LOW);
  digitalWrite(i, LOW);
  digitalWrite(e, LOW);
  digitalWrite(f, LOW);
  digitalWrite(g, LOW);
  digitalWrite(h, LOW);
}

void one()
{
  digitalWrite(buzzer, LOW);
  digitalWrite(i, LOW);
  digitalWrite(e, HIGH);
  digitalWrite(f, LOW);
  digitalWrite(g, LOW);
  digitalWrite(h, LOW);
}

void two()
{
  digitalWrite(buzzer, LOW);
  digitalWrite(i, LOW);
  digitalWrite(e, HIGH);
  digitalWrite(f, HIGH);
  digitalWrite(g, LOW);
  digitalWrite(h, LOW);
}

void three()
{
  digitalWrite(buzzer, LOW);
  digitalWrite(i, LOW);
  digitalWrite(e, HIGH);
  digitalWrite(f, HIGH);
  digitalWrite(g, HIGH);
  digitalWrite(h, LOW);
}

void four()
{
  digitalWrite(buzzer, HIGH);
  digitalWrite(i, LOW);
  digitalWrite(e, HIGH);
  digitalWrite(f, HIGH);
  digitalWrite(g, HIGH);
  digitalWrite(h, HIGH);
}

void five()
{
  digitalWrite(buzzer, HIGH);
  digitalWrite(i, HIGH);
  digitalWrite(e, HIGH);
  digitalWrite(f, HIGH);
  digitalWrite(g, HIGH);
  digitalWrite(h, HIGH);
}

void loop()
{

  long duration, distance;
  digitalWrite(trig, LOW);
  delayMicroseconds(2);
  digitalWrite(trig, HIGH);
  delayMicroseconds(10);
  digitalWrite(trig, LOW);
  
  duration = pulseIn(echo, HIGH);
  
  distance = (duration/74)/2;  
  Serial.println(distance);
  
  if (irrecv.decode(&results)){
    Serial.println(results.value, HEX);
    irrecv.resume();
  }
  delay(100);
  
  if (digitalRead(a) == HIGH)
    buttonState = 1;
  
  else
    buttonState = 0;
    
  if (buttonState == 1 && distance<10 && (results.value==0xFD08F7))
    five();
    
  else if (buttonState == 1 && distance>=10 && distance<20 && (results.value==0xFD08F7))
    four();
    
  else if (buttonState == 1 && distance>=20 && distance<30 && (results.value==0xFD08F7))
    three();
      
  else if (buttonState == 1 && distance>=30 && distance<40 && (results.value==0xFD08F7))
    two();
   
  else if (buttonState == 1 && distance>=40 && distance<50 && (results.value==0xFD08F7))
    one();
  
  else
    zero();
  
    
}